#include <iostream>
using namespace std;
int main(){
	int n,k;
	cin>>n>>k;
	int a[n],in,r;
	for(int i=0;i<n;i++){
	cin>>a[i];
	if(a[i]==k) in=i;
	if(in==n-1) r=0;
	else r=in+1;
   // cout<<a[i];
}
cout<<a[r];
}